# QNetworkCookie Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QNetworkCookie(QByteArray name, QByteArray value)
- void QNetworkCookie(QNetworkCookie other)

### Constructor Properties

- prototype: The QNetworkCookie prototype object
- List parseCookies(QByteArray cookieString)
- NameAndValueOnly
- Full
- RawForm( value )

### Prototype Object Properties

- String domain()
- QDateTime expirationDate()
- bool isHttpOnly()
- bool isSecure()
- bool isSessionCookie()
- QByteArray name()
- bool operator_equal(QNetworkCookie other)
- String path()
- void setDomain(String domain)
- void setExpirationDate(QDateTime date)
- void setHttpOnly(bool enable)
- void setName(QByteArray cookieName)
- void setPath(String path)
- void setSecure(bool enable)
- void setValue(QByteArray value)
- QByteArray toRawForm(RawForm form)
- QByteArray value()

### Instance Properties

QNetworkCookie objects have no special properties beyond those inherited from the QNetworkCookie prototype object.